## camel-iconv camel-iconv |

## Synopsis

    const gchar *       camel_iconv_locale_charset          (void);
    const gchar *       camel_iconv_locale_language         (void);
    const gchar *       camel_iconv_charset_name            (const gchar *charset);
    const gchar *       camel_iconv_charset_language        (const gchar *charset);
    iconv_t             camel_iconv_open                    (const gchar *to,
                                                             const gchar *from);
    gsize               camel_iconv                         (iconv_t cd,
                                                             const gchar **inbuf,
                                                             gsize *inleft,
                                                             gchar **outbuf,
                                                             gsize *outleft);
    void                camel_iconv_close                   (iconv_t cd);

## Description

## Details

### camel_iconv_locale_charset ()

    const gchar *       camel_iconv_locale_charset          (void);

Returns : |

### camel_iconv_locale_language ()

    const gchar *       camel_iconv_locale_language         (void);

Returns : |

### camel_iconv_charset_name ()

    const gchar *       camel_iconv_charset_name            (const gchar *charset);

`charset` : |
Returns : |

### camel_iconv_charset_language ()

    const gchar *       camel_iconv_charset_language        (const gchar *charset);

`charset` : |
Returns : |

### camel_iconv_open ()

    iconv_t             camel_iconv_open                    (const gchar *to,
                                                             const gchar *from);

`to` : |
`from` : |
Returns : |

### camel_iconv ()

    gsize               camel_iconv                         (iconv_t cd,
                                                             const gchar **inbuf,
                                                             gsize *inleft,
                                                             gchar **outbuf,
                                                             gsize *outleft);

`cd` : |
`inbuf` : |
`inleft` : |
`outbuf` : |
`outleft` : |
Returns : |

### camel_iconv_close ()

    void                camel_iconv_close                   (iconv_t cd);

`cd` : |